%define _disable_ld_no_undefined 1

%define major 4
%define libname %mklibname dvdnav %{major}
%define develname %mklibname dvdnav -d

Name:		libdvdnav
Summary:	DVD Navigation library
Version:	4.2.1
Release:	%mkrel 1
Group:		System/Libraries
License:	GPLv2+
URL:		http://dvdnav.mplayerhq.hu/
Source0:	http://dvdnav.mplayerhq.hu/releases/%{name}-%{version}.tar.xz
BuildRequires:	libdvdread-devel >= 4.1.3

%description
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

%package -n	%{libname}
Summary:	DVD Navigation library
Group:		System/Libraries

%description -n	%{libname}
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

%package -n	%{develname}
Summary:	DVD Navigation library headers and support files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname dvdnav 4 -d}

%description -n	%{develname}
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

This package contains the C headers and support files for compiling
applications with libdvdnav.

%prep

%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

#gw remove buildroot
perl -pi -e "s^%buildroot^^" %buildroot%_bindir/dvdnav-config
%multiarch_binaries %{buildroot}%{_bindir}/dvdnav-config

%files -n %{libname}
%doc README
%{_libdir}/libdvdnavmini.so.%{major}*
%{_libdir}/libdvdnav.so.%{major}*

%files -n %{develname}
%doc NEWS TODO AUTHORS
%{_bindir}/dvdnav-config
%{multiarch_bindir}/dvdnav-config
%{_libdir}/libdvdnavmini.so
%{_libdir}/libdvdnav.so
%{_includedir}/dvdnav/
%{_datadir}/aclocal/dvdnav.m4
%{_libdir}/pkgconfig/dvdnav.pc
%{_libdir}/pkgconfig/dvdnavmini.pc


%changelog
* Sun Dec 22 2013 luigiwalser <luigiwalser> 4.2.1-1.mga4
+ Revision: 559708
- 4.2.1
- update URLs
- remove upstreamed patch

* Sat Oct 19 2013 umeabot <umeabot> 4.2.0-6.mga4
+ Revision: 528779
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 wally <wally> 4.2.0-5.mga4
+ Revision: 447250
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 4.2.0-4.mga3
+ Revision: 357032
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 fwang <fwang> 4.2.0-3.mga3
+ Revision: 328100
- disable undefined switch
- drop .la file

* Sat Feb 25 2012 anssi <anssi> 4.2.0-2.mga2
+ Revision: 214778
- restore C++ compatibility by not using 'this' as a parameter name
  (libdvdnav-c++-compatibility.patch, submitted upstream)

* Sun Nov 27 2011 tv <tv> 4.2.0-1.mga2
+ Revision: 172623
- new release

* Sat Jan 22 2011 ahmad <ahmad> 4.1.3-5.mga1
+ Revision: 31680
- drop old/unneeded scriptlets
- imported package libdvdnav


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 4.1.3-4mdv2011.0
+ Revision: 602539
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 4.1.3-3mdv2010.1
+ Revision: 520766
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.3-2mdv2010.0
+ Revision: 425534
- rebuild

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 4.1.3-1mdv2009.0
+ Revision: 283000
- version 4.1.3 final
- update source URL

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 4.1.3-0.r1132.1mdv2009.0
+ Revision: 278180
- new snapshot
- fix build
- update file list

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 4.1.2-3mdv2009.0
+ Revision: 264777
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 07 2008 Götz Waschk <waschk@mandriva.org> 4.1.2-2mdv2009.0
+ Revision: 202766
- fix header incompatibility with C++ (bug #40406)
- disable double build

* Mon Apr 21 2008 Götz Waschk <waschk@mandriva.org> 4.1.2-1mdv2009.0
+ Revision: 196230
- new version
- drop patch
- fix installation

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 4.1.1-0.956.2mdv2008.1
+ Revision: 103585
- add requires on libdvdread-devel into libdvdnav-devel

* Tue Oct 09 2007 Götz Waschk <waschk@mandriva.org> 4.1.1-0.956.1mdv2008.1
+ Revision: 96551
- fix installation
- readd libdvdnav.so
- fix soname
- switch to mplayer fork of dvdnav
- update file list

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.10-6mdv2008.0
+ Revision: 76794
- new devel naming


* Thu Oct 26 2006 Götz Waschk <waschk@mandriva.org> 0.1.10-5mdv2007.0
+ Revision: 72723
- Import libdvdnav

* Thu Oct 26 2006 Gtz Waschk <waschk@mandriva.org> 0.1.10-5mdv2007.1
- rebuild

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.1.10-4mdk
- Rebuild

* Mon Jan 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.10-3mdk
- multiarch support

* Sat Oct 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.10-2mdk
- Patch0 (CVS): fix crash with DVD without first play chain

* Sat Jun 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.10-1mdk
- major 4
- add new file
- add source URL
- New release 0.1.10

